#
# Conditional build:
%bcond_without	tests	# unit tests

%define		module	ctypesgen
Summary:	A pure-python wrapper generator for ctypes
Summary(pl.UTF-8):	Generator wrapperów dla ctypes napisany w czystym Pythonie
Name:		python-%{module}
Version:	1.0.2
Release:	7
License:	BSD
Group:		Libraries/Python
# only wheels on https://pypi.org/simple/ctypesgen so get from github
#Source0Download: https://github.com/davidjamesca/ctypesgen/releases
Source0:	https://github.com/davidjamesca/ctypesgen/archive/ctypesgen-%{version}/%{module}-%{version}.tar.gz
# Source0-md5:	0928ef10a1f0323a82d55d6a0dfac8ff
Patch0:		%{name}-x32.patch
URL:		https://github.com/davidjamesca/ctypesgen
BuildRequires:	python >= 1:2.3
BuildRequires:	python-modules >= 1:2.3
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This project automatically generates ctypes wrappers for header files
written in C.

%description -l pl.UTF-8
Ten program automatycznie generuje wrappery ctypes dla plików
nagłówkowych w C.

%prep
%setup -q -n %{module}-%{module}-%{version}
%patch -P 0 -p1

%build
%py_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python} -m pytest -v -x --showlocals ctypesgen/test/testsuite.py
%endif

find ctypesgen -name '*.py[co]' | xargs %{__rm}

%install
rm -rf $RPM_BUILD_ROOT

%py_install

# defaultheader.py and preamble.py are templates not modules, so .py files
# are required instead of compiled versions
# libraryloader.py is used both as module and template, so both forms are required
%py_postclean -x defaultheader.py,preamble/2_5.py,preamble/2_7.py,preable/3_2.py,libraryloader.py
%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/ctypesgen/printer_python/defaultheader.py[co]
%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/ctypesgen/printer_python/preamble/[23]_*.py[co]
%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/ctypesgen/test

%{__mv} $RPM_BUILD_ROOT%{_bindir}/ctypesgen{,-2}

find ctypesgen -name '*.py[co]' | xargs %{__rm}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md todo.txt
%attr(755,root,root) %{_bindir}/ctypesgen-2
%{py_sitescriptdir}/ctypesgen
%{py_sitescriptdir}/ctypesgen-0.0.0-py*.egg-info
%changelog
* Sun Mar 23 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-ctypesgen.git;a=log;h=auto/th/python-ctypesgen-1.0.2-7

* Sun Mar 23 2025 Jan Rękorajski <baggins@pld-linux.org> 090f760
- rel 7, python3 moved to dedicated package

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 787fed7
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 0d9974e
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> 444d3a9
- use patch -P

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> cf61df2
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 5830f4a
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 4f77ea5
- rebuild with python 3.10

* Sun Jul 04 2021 Jakub Bogusz <qboosh@pld-linux.org> d3adbc4
- added x32 patch (adjust library search path on x32)

* Sat Jul 03 2021 Jakub Bogusz <qboosh@pld-linux.org> 3a01e52
- updated to 1.0.2 release
- removed obsolete gcc7-fix patch
- added python3- package
- executables are now named ctypesgen-2 (for py2) and ctypesgen{,-3} (for py3)

* Mon Jan 22 2018 Marcin Krol <hawk@tld-linux.org> 87d7618
- added fix for GCC 7.x

* Mon Jan 22 2018 Marcin Krol <hawk@tld-linux.org> ab8f786
- fix for GCC 7.x based on https://trac.osgeo.org/grass/ticket/3331

* Sat Apr 02 2016 Jakub Bogusz <qboosh@pld-linux.org> 9ea10f0
- updated URLs, updated to 20150512 snap (release 1.snap.1 because of snap numbering change from svn rev to date)

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 5aa7e7d
- release 6 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 3baaf99
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1a08285
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d11d910
- automatic change: use py_build/py_install macros

* Sat Oct 15 2011 Jakub Bogusz <qboosh@pld-linux.org> 9966eb0
- pl
- choose only needed .py/.py[co] files
- rel 4

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> efa91d9
- BR: python-modules, rpm-pythonprov

* Thu Nov 04 2010 shadzik <shadzik@pld-linux.org> b4533c4
- rel 3

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ece147
- rel 2

